BizappCallbackClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.client.BizappCallbackClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.client
Class BizappCallbackClient

    java.lang.Object
      org.hyperic.hq.bizapp.client.AgentCallbackClient
          org.hyperic.hq.bizapp.client.BizappCallbackClient

    public class BizappCallbackClient

extends AgentCallbackClient

Constructor Summary
`BizappCallbackClient(ProviderFetcher fetcher, AgentConfig config)`

Method Summary
`void` | `bizappPing()`
`RegisterAgentResult` | `registerAgent(java.lang.String oldAgentToken, java.lang.String user, java.lang.String pword, java.lang.String authToken, java.lang.String agentIP, int agentPort, java.lang.String version, int cpuCount, boolean isNewTransportAgent, boolean unidirectional)` Register an agent with the server.
`java.lang.String` | `updateAgent(java.lang.String agentToken, java.lang.String user, java.lang.String pword, java.lang.String agentIp, int agentPort, boolean isNewTransportAgent, boolean unidirectional)`
`boolean` | `userIsValid(java.lang.String user, java.lang.String pword)`

Methods inherited from class org.hyperic.hq.bizapp.client.AgentCallbackClient
`getDefaultProviderURL, getHostFromProviderURL, getProvider, invokeLatherCall, isValidProviderURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BizappCallbackClient

    public BizappCallbackClient(ProviderFetcher fetcher,
                                AgentConfig config)

Method Detail

### bizappPing

    public void bizappPing()
                    throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

### userIsValid

    public boolean userIsValid(java.lang.String user,
                               java.lang.String pword)
                        throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

### registerAgent

    public RegisterAgentResult registerAgent(java.lang.String oldAgentToken,
                                             java.lang.String user,
                                             java.lang.String pword,
                                             java.lang.String authToken,
                                             java.lang.String agentIP,
                                             int agentPort,
                                             java.lang.String version,
                                             int cpuCount,
                                             boolean isNewTransportAgent,
                                             boolean unidirectional)
                                      throws AgentCallbackClientException

  Register an agent with the server.

  Parameters:
    `oldAgentToken` - The old agent token or `null` if the agent has never been registered before.
    `user` - The user name for connecting the agent to the server.
    `pword` - The password for connecting the agent to the server.
    `authToken` - The authorization token.
    `agentIP` - The agent IP address.
    `agentPort` - The agent port where the agent commands services are listening.
    `version` - The version.
    `cpuCount` - The host platform cpu count.
    `isNewTransportAgent` - `true` if the agent is using the new transport layer.
    `unidirectional` - `true` if the agent is unidirectional.
  Returns:
    The result containing the new agent token.
  Throws:
    `AgentCallbackClientException`

### updateAgent

    public java.lang.String updateAgent(java.lang.String agentToken,
                                        java.lang.String user,
                                        java.lang.String pword,
                                        java.lang.String agentIp,
                                        int agentPort,
                                        boolean isNewTransportAgent,
                                        boolean unidirectional)
                                 throws AgentCallbackClientException

  Throws:
    `AgentCallbackClientException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.